Resolve a parked workflow action
curl --request POST \
--url https://api.pineyard.ai/workflow-runs/{runId}/action-visits/{nodeExecutionId}/resolve \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"expectedVersion": 1
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({expectedVersion: 1})
};
fetch('https://api.pineyard.ai/workflow-runs/{runId}/action-visits/{nodeExecutionId}/resolve', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pineyard.ai/workflow-runs/{runId}/action-visits/{nodeExecutionId}/resolve"
payload = { "expectedVersion": 1 }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"decisionId": "<string>",
"runStatus": "RUNNING",
"visitStatus": "<string>"
}{
"error": "invalid_body",
"issues": [
{
"path": "<string>",
"code": "<string>"
}
]
}{
"error": "not_found"
}{
"error": "concurrent_modification"
}{
"error": "actor_not_resolvable"
}Runs
Resolve a parked workflow action
Record a recovery decision for a workflow action that is waiting for manual recovery.
POST
/
workflow-runs
/
{runId}
/
action-visits
/
{nodeExecutionId}
/
resolve
Resolve a parked workflow action
curl --request POST \
--url https://api.pineyard.ai/workflow-runs/{runId}/action-visits/{nodeExecutionId}/resolve \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"expectedVersion": 1
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({expectedVersion: 1})
};
fetch('https://api.pineyard.ai/workflow-runs/{runId}/action-visits/{nodeExecutionId}/resolve', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pineyard.ai/workflow-runs/{runId}/action-visits/{nodeExecutionId}/resolve"
payload = { "expectedVersion": 1 }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"decisionId": "<string>",
"runStatus": "RUNNING",
"visitStatus": "<string>"
}{
"error": "invalid_body",
"issues": [
{
"path": "<string>",
"code": "<string>"
}
]
}{
"error": "not_found"
}{
"error": "concurrent_modification"
}{
"error": "actor_not_resolvable"
}Required scope:
workflows.recover
Requires workflows enabled for your workspace. Otherwise the request is refused; see Errors.
Authorizations
Your API key, e.g. pk_live_xxxxxxxxxxxxxxxxxxxxxxxx.
Body
application/json

